<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.0.0
 * @lastmodified    October 28, 2019
 *
 */
 
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
	require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
	throw new IllegalFileException();
}
/* -------------------------------------------------------- */


$sql = 'SELECT * FROM `'.TABLE_PREFIX.'mod_numbers` WHERE `section_id`='.(int)$section_id;
$res = $database->query($sql);
if($res && $res->numRows()) {
	$conf = $res->fetchRow();
} else {
	die("wrong");
}

?>
<table style="width: 100%;padding:10px;box-shadow:0 0 1px #111;border:0px solid #303641; background:#eee;"  cellpadding="3" cellspacing="0" border="0" >
	<tr>
		<td><h2>Numbers</h2></td>
		<td align="right">
			<a class="button" href="#" onclick=" $('#numbers-<?=$section_id?>').slideToggle();return false;">Settings</a>
		</td>
	</tr>
</table>
<div id="message"></div>
<div id="numbers-<?=$section_id?>" style="display:none;" >
<form name="numbers<?php echo $section_id; ?>" action="<?php echo WB_URL; ?>/modules/numbers/save.php" method="post">
	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
	<table class="numberstable" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td>Title: </td><td colspan="4"><input type="text" style="width:100%" name="title" value="<?php echo htmlspecialchars($conf['title']) ?>" /></td>
		<tr><td>Duration: </td><td colspan="4"><select name="speed">
		<?php for($i=1;$i<=15;$i++) { 
			$s = ($conf['speed']==$i) ? ' selected':'';
			echo "<option value=\"$i\" $s>$i seconds</option>";
		} ?>
		</select>
		</td>
		
		<tr>
			<th style="width:150px;" > </th>
			<th style="width:90px;" > Number</th>
			<th>Title</th>
			<th style="width:160px;" >Fontawesome Icon</th>
			<th style="width:130px;" >Private class</th>			
		</tr>
		
	<?php for($i=1;$i<=8;$i++) { ?>
		<tr>
			<td style="width:150px;" >Number <?=$i?>:</td>
			<td style="width:90px;" ><input type="text" name="counter0<?=$i?>" value="<?php echo $conf['counter0'.$i] ?>" /></td>
			<td><input type="text" style="width: 100%;" name="text0<?=$i?>" value="<?php echo htmlspecialchars($conf['text0'.$i]) ?>" /></td>
			<td style="width:160px;" ><input id="faicon<?=$i?>" class="icon" placeholder="Fontawesome" type="text" style="" name="icon0<?=$i?>" value="<?php echo htmlspecialchars($conf['icon0'.$i]) ?>" /> </td>
			<td style="width:130px;" ><input placeholder="Your class" type="text" style="" name="class0<?=$i?>" value="<?php echo htmlspecialchars($conf['class0'.$i]) ?>" /></td>			
		</tr>
	<?php } ?>
			
	</table>
	<input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" />
</form>
<br />
</div>
<?php 
