<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.0.0
 * @lastmodified    October 28, 2019
 *
 */
 
require('../../config.php');

$update_when_modified = true;
require(WB_PATH.'/modules/admin.php');

// Include the WB functions file
require_once(WB_PATH.'/framework/functions.php');

if(isset($_POST['section_id']) && $_POST['section_id'] ==  $section_id) {
	$conf['title'] = $database->escapeString ($_POST['title']);
	$conf['speed'] = $database->escapeString ($_POST['speed']);

	for($i=1;$i<=8;$i++) {
		$conf['counter0'.$i] = $database->escapeString ($_POST['counter0'.$i]);
		$conf['text0'.$i] = $database->escapeString ($_POST['text0'.$i]);
		$conf['icon0'.$i] = $database->escapeString ($_POST['icon0'.$i]);
		$conf['class0'.$i] = $database->escapeString ($_POST['class0'.$i]);
	}
	$sql = '';
	foreach($conf as $key => $value) {
		$sql .= $sql ? ',':'';
		$sql .= " `$key` = '$value'";
	}
	$sql  = 'UPDATE `'.TABLE_PREFIX.'mod_numbers` SET '.$sql;
	$sql .= 'WHERE `section_id`='.(int)$section_id;
	$database->query($sql);
}

$edit_page = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES_SAVED'], $edit_page );
}

// Print admin footer
$admin->print_footer();
