<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.0.0
 * @lastmodified    October 28, 2019
 *
 */
 
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
	require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
	throw new IllegalFileException();
}
/* -------------------------------------------------------- */
$sql = 'SELECT * FROM `'.TABLE_PREFIX.'mod_numbers` WHERE `section_id`='.(int)$section_id;
$res = $database->query($sql);
if($res && $res->numRows()) {
	$conf = $res->fetchRow();
} else {
	die("wrong");
}
$maxrow = 0;
for($i=1;$i<=8;$i++) { 
	if($conf['counter0'.$i]) $maxrow++;
}
if($maxrow > 5) $maxrow = round($maxrow / 2);
echo '<div class="numbercontainer" data-speed="'.($conf['speed']*1000).'">';
if($conf['title']) echo '<h1 class="numbertitle">'.$conf['title'].'</h1>';
for($i=1;$i<=8;$i++) { 
	if($conf['counter0'.$i]) {
		if(!$conf['text0'.$i]) $conf['text0'.$i] = '&nbsp;';
		echo '<div class="w'.$maxrow.' numbercounter">';
		echo '<div class="innernumbers '.$conf['class0'.$i].'">';	
		if($conf['icon0'.$i]) echo '  <div class="icon"><i class="fa '.$conf['icon0'.$i].'" aria-hidden="true"></i></div>';	
		echo '  <div class="numbers"><span class="count" data-count="'.$conf['counter0'.$i].'"></span></div>';	
		echo '  <div class="numtext">'.$conf['text0'.$i].'</div>';	
		echo '</div>';
		echo '</div>';
	}
}
echo '</div>';
